//--------------------------------------------------------------
// File     : main.c
// Datum    : 15.10.2013
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der SPI-LoLevel-Library (Half-Duplex)
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_spi2_hd.h"


//--------------------------------------------------------------
// ein Byte per SPI (Half-Duplex) senden
//--------------------------------------------------------------
void spi_send(uint8_t wert)
{
  // hier Code einfgen und
  // ChipSelect-Pin auf LO legen

  // byte senden
  UB_SPI2_HD_SendByte(wert);

  // hier Code einfgen und
  // ChipSelect-Pin auf HI legen
}


//--------------------------------------------------------------
// ein Byte per SPI (Half-Duplex) empfangen
//--------------------------------------------------------------
uint8_t spi_receive(void)
{
  uint8_t ret_wert;

  // hier Code einfgen und
  // ChipSelect-Pin auf LO legen

  // ein einzelnes byte empfangen
  ret_wert=UB_SPI2_HD_ReceiveByte(SPI_SINGLE_BYTE);

  // hier Code einfgen und
  // ChipSelect-Pin auf HI legen

  return(ret_wert);
}


int main(void)
{
  uint8_t wert;

  SystemInit(); // Quarz Einstellungen aktivieren

  // SPI2 (Half-Duplex) initialisieren
  // im Mode0 mit MSB-First
  UB_SPI2_HD_Init(SPI_MODE_0_MSB);

  // den Wert 0x45 per SPI (Half-Duplex) senden
  spi_send(0x45);

  // einen Wert per SPI (Half-Duplex) empfangen
  wert=spi_receive();

  while(1)
  {

  }
}

